Fork me on GitHub

Watch

GitHub Core

Show your support for Zikula! Sign up at Github account and watch the Core project!




GitHub Modules

Forum Activity

Forum feed

» Visit forum | » View latest posts

News

Articles | Extensions

Articles: Scribite 5 released

Contributed by espaan on May 15, 2014 - 07:30 PM

Extensions

Scribite the WYSIWYG module has been updated to 5.0. Scribite is a module that inserts a selected javascript WYSIWYG editor into textareas through the use of Zikula hooks. This release is for Zikula Core >= 1.3.x

Scribite 5.0.0 is a significant departure from previous versions, so read on.

Thanks to a lot of developers working on it, craigh, nmpetkov, cmfcmf, shefik, and others that I forget now.

  • The biggest usage change from previous versions is that the model is changed from manually including module/textareas to manually excluding them. Scribite is now a strictly 'hook-based' module and the loader cannot be called via an API call anymore.

  • Scribite now assumes that (in general) most users want all textareas to have a text editor. Simply hook Scribite to your subscriber module and it works! For 'power users', fine-grain configuration is possible however (more with some editors than others).

  • The choice of editors has also become wider and configuring the editors can be done a lot easier from within Zikula itself. See the editor module plugins github.com/zikula-modules/Scribite/tree/master/plugins here. There is also more information on the plugins.

  • Other significant changes include storing all data in the modvars table instead of a module-specific table, and the conversion of all editors to module plugins. This will make future addition/subtraction of editors very easy.

  • Another new is that 3rd party modules can now provide plugins to scribite from within the module itself. By adhering to the new external plugin structure for the editors that support this, it is now easier to make a editor plugin.



For more information on the 5.0.0 update see github.com/zikula-modules/Scribite. Fixed tickets Closed tickets 5.0 milestone.

Download Scribite 5 from here: https://github.com/zikula-modules/Scribite/releases/tag/5.0.0.




Scribite 5 works best with the current master versions of Content, News and other modules. They will be released soon.
 

Share    

Comments

Comment by:
krator's Avatar
krator
15 May 2014 - 05:55PM
For ZK 1.3.5+, true? Thanks for the module!
 
Comment by:
bronto's Avatar
bronto
16 May 2014 - 03:44AM
Are there known incompatibilities with particular modules, or versions of modules?
 
Comment by:
espaan's Avatar
espaan
16 May 2014 - 10:41AM
core 1.3.x and compatibility
Hi,
It is for Zikula Core 1.3.x and beyond, added in the text, thanks.
Most modules should work fine, since it is still hook based, but Content was not hook based in the past and for that you should use the current master version in github.
 
Comment by:
portugao's Avatar
portugao
15 Jul 2014 - 08:58AM
Great
Thx to all developers. Nice improvements.
 
Only logged in users are allowed to comment. register/log in